### Method

# Cogl Snippet set_replace

#### Declaration [src]

    void
    cogl_snippet_set_replace (
      CoglSnippet* snippet,
      const char* replace
    )

#### Description [src]

Sets a source string that will be used instead of any generated source code or any previous snippets for this hook point. Please see the documentation of each hook point in `CoglPipeline` for a description of how this string should be used.

This function should only be called before the snippet is attached to its first pipeline. After that the snippet should be considered immutable.

#### Parameters

`replace`

  Type: `const char*`

  The new source string for the replace section of this snippet.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.